@echo off
@REM **************************************************************************
@REM Licensed Material - Property of IBM 
@REM 5724-M24
@REM (c) Copyright IBM Corp. 2007,2008.  All rights reserved.
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM **************************************************************************
@REM Update the portlets, migrate the preferences for instances portlet
@REM **************************************************************************

set WAS_HOME=%1
set PORTAL_CONFIG_URL=%2
set USER=%3
set PASSWORD=%4

if  "%4"==""  goto  noparameter
	goto  execute
goto  exit

:execute	
echo "Using portal config URL: %PORTAL_CONFIG_URL%"
echo "Using portal admin: %USER%"
echo "Using portal admin password: ******"

REM Don't need change
set JAVA=%WAS_HOME%\java\bin\java
set IN_FILE=%CD%\Export.xml
set OUT_FILE=%CD%\Export_out.xml
set IMPORT_FILE=%CD%\Import_In.xml
set UPDATE_WBI_FILE=%CD%\Update_WBIMon.xml
set UPDATE_WBI_LOCALE=%CD%\Update_WBIMon_locale.xml
set UPDATE_ABX_FILE=%CD%\Update_ABXPortlet.xml
set UPDATE_ABX_LOCALE=%CD%\Update_ABXPortlet_locale.xml

REM Get a complete export from portal
%JAVA% -cp "..\..\..\bin\wp.xml.client.jar;..\..\..\shared\app\wp.base.jar" com.ibm.wps.xmlaccess.XmlAccess -in %IN_FILE% -out %OUT_FILE% -user %USER% -pwd %PASSWORD% -url %PORTAL_CONFIG_URL% >> "%CD%\Export_log.txt" 2>&1

REM Get a complete export from portal
%JAVA% -cp "%CD%\dashXmlAccessUtils.jar;%CD%\JSON4J.jar" com.ibm.wbimonitor.dashboard.xmlparser.DashboardPrefTransformer %OUT_FILE% %IMPORT_FILE%

REM Import the new settings
%JAVA% -cp "..\..\..\bin\wp.xml.client.jar;..\..\..\shared\app\wp.base.jar" com.ibm.wps.xmlaccess.XmlAccess -in %IMPORT_FILE% -user %USER% -pwd %PASSWORD% -url %PORTAL_CONFIG_URL% >> "%CD%\Import_migrate_log.txt" 2>&1

REM Update the portlets and the locale
%JAVA% -cp "..\..\..\bin\wp.xml.client.jar;..\..\..\shared\app\wp.base.jar" com.ibm.wps.xmlaccess.XmlAccess -in %UPDATE_WBI_FILE% -user %USER% -pwd %PASSWORD% -url %PORTAL_CONFIG_URL% >> "%CD%\Import_migrate_log.txt" 2>&1
%JAVA% -cp "..\..\..\bin\wp.xml.client.jar;..\..\..\shared\app\wp.base.jar" com.ibm.wps.xmlaccess.XmlAccess -in %UPDATE_WBI_LOCALE% -user %USER% -pwd %PASSWORD% -url %PORTAL_CONFIG_URL% >> "%CD%\Import_migrate_log.txt" 2>&1
%JAVA% -cp "..\..\..\bin\wp.xml.client.jar;..\..\..\shared\app\wp.base.jar" com.ibm.wps.xmlaccess.XmlAccess -in %UPDATE_ABX_FILE% -user %USER% -pwd %PASSWORD% -url %PORTAL_CONFIG_URL% >> "%CD%\Import_migrate_log.txt" 2>&1
%JAVA% -cp "..\..\..\bin\wp.xml.client.jar;..\..\..\shared\app\wp.base.jar" com.ibm.wps.xmlaccess.XmlAccess -in %UPDATE_ABX_LOCALE% -user %USER% -pwd %PASSWORD% -url %PORTAL_CONFIG_URL% >> "%CD%\Import_migrate_log.txt" 2>&1

echo.
echo Please look at the log %CD%\Import_migrate_log.txt to make sure there are no errors.
echo.
goto  exit

:noparameter
	echo.
	echo  ERROR: Missing 1 or more required parameter. Script is invoked as follows:
    echo  Usage: migrateSettings.bat ^<WAS_HOME^> ^<portal_config_url^> ^<portal_admin^> ^<portal_pw^> 
	echo  where for example
	echo  ^<WAS_HOME^> 	c:\WebSphere\Appserver
	echo  ^<portal_config_url^> http://localhost:10038/wps/config
	echo  ^<portal_admin^> wpsadmin
	echo  ^<portal_pw^> yourpassword
	echo.
:exit
